%{?nodejs_find_provides_and_requires}

%global packagename extglob
%global enable_tests 0
# Tests disabled due to a circular dependency on micromatch

Name:		nodejs-extglob
Version:	0.3.2
Release:	3%{?dist}
Summary:	Convert extended globs to regex-compatible strings

License:	MIT
URL:		https://github.com/jonschlinkert/extglob.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# The 0.3.2 release has not yet been tagged in github, so pull from master for now
Source1:	https://raw.githubusercontent.com/jonschlinkert/extglob/master/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(ansi-green)
BuildRequires:	npm(is-extglob)
BuildRequires:	npm(success-symbol)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(micromatch)
%endif

%description
Convert extended globs to regex-compatible strings. Add (almost) the expressive
power of regular expressions to glob patterns.


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Feb  9 2016 Jared Smith <jsmith@fedoraproject.org> - 0.3.2-1
- Initial packaging
